#pragma once

#include "PresetSelectDlg.h"



class EnvmapSelectDlg : public PresetSelectDlg
{
	Q_OBJECT

public:
	EnvmapSelectDlg(QWidget *parent = 0);
	virtual ~EnvmapSelectDlg();

	QString GetSelectedItemPath(void) const;

protected:
	virtual void ChangeGroup(int index);

	QString GetImageDirPath(void) const;

	void InitGroups(void);

	void GetPresetFiles(const QString& dirpath, QStringList& files);

protected:
	QString m_CurrentGroup;
};
